2018-01-22 20:08 GMT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002804OpenFOAM[All Projects] Bugpublic2018-01-08 11:09
Reporterlinnemann 
Assigned Towill 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformX86_64OSCentOSOS Version7
Product Versiondev 
Target VersionFixed in Versiondev 
Summary0002804: chtMultiRegionSimpleFoam probes multiple output
DescriptionPlease see here for an explanation.

https://www.cfd-online.com/Forums/openfoam-solving/197438-chtmultiregionsimplefoam-probes-multiple-output.html
Steps To ReproduceAdd a probe to a chtmultiregion case.

Also tried with surfaceFieldValue which also writes multiple line outputs.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0009198

will (manager)

The problem is that checkResidualControls.H in chtMultiRegionSimpleFoam is calling runTime.run() an extra two times per iteration. This is triggering the execution of the function objects.

~0009199

will (manager)

Fixed in dev by commit a80da1a4. I've put a "running" method in Foam::Time which can be used to check the state of the time-stepping without any side effects.
+Notes

-Issue History
Date Modified Username Field Change
2018-01-05 07:58 linnemann New Issue
2018-01-05 10:34 will Note Added: 0009198
2018-01-08 11:09 will Assigned To => will
2018-01-08 11:09 will Status new => resolved
2018-01-08 11:09 will Resolution open => fixed
2018-01-08 11:09 will Fixed in Version => dev
2018-01-08 11:09 will Note Added: 0009199
+Issue History